MWAWPictBitmapBW Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
MWAWPictBitmapBW Class Reference

a bitmap of bool to store black-white bitmap More...

`#include <MWAWPictBitmap.hxx>`

Inheritance diagram for MWAWPictBitmapBW:

## Public Member Functions
virtual SubType | getSubType () const
| returns the picture subtype More...
virtual int | cmp (MWAWPict const &a) const
| a virtual function used to obtain a strict order, must be redefined in the subs class More...
virtual bool | valid () const
| returns true if the picture is valid More...
| MWAWPictBitmapBW (MWAWVec2i const &sz)
| the constructor More...
MWAWVec2i const & | size () const
| the picture size More...
int | numRows () const
| the number of rows More...
int | numColumns () const
| the number of columns More...
bool | get (int i, int j) const
| returns a cell content More...
bool const * | getRow (int j) const
| returns the cells content of a row More...
void | set (int i, int j, bool v)
| sets a cell contents More...
void | setRow (int j, bool const *val)
| sets all cell contents of a row More...
void | setRowPacked (int j, unsigned char const *val, unsigned char const *end)
| sets all cell contents of a row given packed m_data More...
void | setColumn (int i, bool const *val)
| sets all cell contents of a column More...
Public Member Functions inherited from MWAWPictBitmap
virtual | ~MWAWPictBitmap ()
| destructor More...
virtual Type | getType () const
| returns the picture type More...
virtual bool | getBinary (MWAWEmbeddedObject &picture) const
| returns the final picture More...
Public Member Functions inherited from MWAWPict
virtual | ~MWAWPict ()
| virtual destructor More...
MWAWBox2f | getBdBox () const
| returns the bdbox of the picture More...
void | setBdBox (MWAWBox2f const &box)
| sets the bdbox of the picture More...

## Protected Member Functions
virtual bool | createFileData (librevenge::RVNGBinaryData &result) const
| function which creates the result file More...
Protected Member Functions inherited from MWAWPictBitmap
| MWAWPictBitmap (MWAWVec2i const &sz)
| protected constructor: use check to construct a picture More...
Protected Member Functions inherited from MWAWPict
void | extendBDBox (float val)
| udaptes the bdbox, by extended it by (val-previousVal) More...
| MWAWPict ()
| protected constructor must not be called directly More...
| MWAWPict (MWAWPict const &p)
| protected constructor must not be called directly More...
MWAWPict & | operator= (MWAWPict const &p)
| protected operator= must not be called directly More...

## Protected Attributes
MWAWPictBitmapContainerBool | m_data
| the data More...

## Additional Inherited Members
Public Types inherited from MWAWPictBitmap
enum | SubType { BW, Indexed, Color }
| the picture subtype: blackwhite, indexed, color More...
Public Types inherited from MWAWPict
enum | Type { PictData, Bitmap, Unknown }
| the different picture types: More...
enum | ReadResult { MWAW_R_BAD =0, MWAW_R_OK, MWAW_R_OK_EMPTY, MWAW_R_MAYBE }
| an enum to defined the result of a parsing use by some picture's classes which can read their data More...
Static Protected Member Functions inherited from MWAWPict
static MWAWBox2f | getBdBox (int numPt, MWAWVec2f const *pt)
| computes the minimum and maximum of a list of point More...

## Detailed Description

a bitmap of bool to store black-white bitmap

## Constructor & Destructor Documentation

## ◆ MWAWPictBitmapBW()

MWAWPictBitmapBW::MWAWPictBitmapBW | ( | MWAWVec2i const & | sz | ) |
| inlineexplicit

the constructor

## Member Function Documentation

## ◆ cmp()

virtual int MWAWPictBitmapBW::cmp | ( | MWAWPict const & | a | ) | const
| inlinevirtual

a virtual function used to obtain a strict order, must be redefined in the subs class

Reimplemented from MWAWPictBitmap.

## ◆ createFileData()

bool MWAWPictBitmapBW::createFileData | ( | librevenge::RVNGBinaryData & | result | ) | const
| protectedvirtual

function which creates the result file

Implements MWAWPictBitmap.

## ◆ get()

bool MWAWPictBitmapBW::get | ( | int | i,
|  | int | j
| ) |  | const
| inline

returns a cell content

## ◆ getRow()

bool const* MWAWPictBitmapBW::getRow | ( | int | j | ) | const
| inline

returns the cells content of a row

## ◆ getSubType()

virtual SubType MWAWPictBitmapBW::getSubType | ( |  | ) | const
| inlinevirtual

returns the picture subtype

Implements MWAWPictBitmap.

## ◆ numColumns()

int MWAWPictBitmapBW::numColumns | ( |  | ) | const
| inline

the number of columns

## ◆ numRows()

int MWAWPictBitmapBW::numRows | ( |  | ) | const
| inline

the number of rows

## ◆ set()

void MWAWPictBitmapBW::set | ( | int | i,
|  | int | j,
|  | bool | v
| ) |  |
| inline

sets a cell contents

## ◆ setColumn()

void MWAWPictBitmapBW::setColumn | ( | int | i,
|  | bool const * | val
| ) |  |
| inline

sets all cell contents of a column

## ◆ setRow()

void MWAWPictBitmapBW::setRow | ( | int | j,
|  | bool const * | val
| ) |  |
| inline

sets all cell contents of a row

## ◆ setRowPacked()

void MWAWPictBitmapBW::setRowPacked | ( | int | j,
|  | unsigned char const * | val,
|  | unsigned char const * | end
| ) |  |
| inline

sets all cell contents of a row given packed m_data

Referenced by RagTimeParser::sendBitmap().

## ◆ size()

MWAWVec2i const& MWAWPictBitmapBW::size | ( |  | ) | const
| inline

the picture size

## ◆ valid()

virtual bool MWAWPictBitmapBW::valid | ( |  | ) | const
| inlinevirtual

returns true if the picture is valid

Reimplemented from MWAWPictBitmap.

## Member Data Documentation

## ◆ m_data

MWAWPictBitmapContainerBool MWAWPictBitmapBW::m_data
| protected

the data

Referenced by cmp().

The documentation for this class was generated from the following files:

- MWAWPictBitmap.hxx
- MWAWPictBitmap.cxx